pipeline {
  agent any

  environment {
    SCANNER_HOME = tool 'sonarqube'
    PROJECT_NAME = 'jenkins-tutorial'
  }

  stages{
         
    stage('Git Checkout') {
      steps {
        git branch: 'main', changelog: false, poll: false, url: 'https://gitlab.com/vuthanhtb.dev/jenkins-tutorial.git'
      }
    }
    
    stage('Sonarqube Static Code Analysis') {
      steps {
        script {
          withSonarQubeEnv('sonarqube') {
            sh ''' $SCANNER_HOME/bin/sonar-scanner -Dsonar.projectName=$PROJECT_NAME \
            -Dsonar.java.binaries=. \
            -Dsonar.projectKey=$PROJECT_NAME '''
          }
        }
      }
    }
  }
}
